package com.zanxiang.game.module.sdk.service;

import com.zanxiang.game.module.sdk.pojo.dto.PlatformOrderDTO;

/**
 * 订单履约逻辑
 *
 * @author xufeng
 * @date 2022/6/27 11:14
 */
public interface IPerformOrderService {

    /**
     * cp方履约推送
     *
     * @param platformOrderDTO 平台订单dto
     * @return {@link Boolean}
     */
    Boolean pushCp(PlatformOrderDTO platformOrderDTO);

    /**
     * 检查订单是否为首单(账号首充)
     *
     * @param platformOrderDTO 平台订单dto
     */
    void checkIsFirstRecharge(PlatformOrderDTO platformOrderDTO);

    /**
     * 更新游戏玩家充值统计
     *
     * @param platformOrderDTO 平台订单dto
     */
    void userRechargeTotal(PlatformOrderDTO platformOrderDTO);

    /**
     * 更新商户号统计
     *
     * @param platformOrderDTO 平台订单dto
     */
    void payMerchantTotal(PlatformOrderDTO platformOrderDTO);

    /**
     * 米大师收款统计
     *
     * @param platformOrderDTO 平台订单dto
     */
    void miPayTotal(PlatformOrderDTO platformOrderDTO);
}
